.TH wxGridCellEditor 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGridCellEditor \- See external documentation: wxGridCellEditor\&.
.SH DESCRIPTION
.LP
See external documentation: wxGridCellEditor <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGridCellEditor()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
isCreated(This::wxGridCellEditor()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditoriscreated>\&.
.RE
.LP
.B
setSize(This::wxGridCellEditor(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditorsetsize>\&.
.RE
.LP
.B
show(This::wxGridCellEditor(), Show::bool()) -> ok
.br
.RS
.LP
Equivalent to show(This, Show, [])\&.
.RE
.LP
.B
show(This::wxGridCellEditor(), Show::bool(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {attr, wxGridCellAttr() (see module wxGridCellAttr)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditorshow>\&.
.RE
.LP
.B
paintBackground(This::wxGridCellEditor(), RectCell::{X::integer(), Y::integer(), W::integer(), H::integer()}, Attr::wxGridCellAttr() (see module wxGridCellAttr)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditorpaintbackground>\&.
.RE
.LP
.B
beginEdit(This::wxGridCellEditor(), Row::integer(), Col::integer(), Grid::wxGrid() (see module wxGrid)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditorbeginedit>\&.
.RE
.LP
.B
endEdit(This::wxGridCellEditor(), Row::integer(), Col::integer(), Grid::wxGrid() (see module wxGrid)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditorendedit>\&.
.RE
.LP
.B
reset(This::wxGridCellEditor()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditorreset>\&.
.RE
.LP
.B
startingKey(This::wxGridCellEditor(), Event::wxKeyEvent() (see module wxKeyEvent)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditorstartingkey>\&.
.RE
.LP
.B
startingClick(This::wxGridCellEditor()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditorstartingclick>\&.
.RE
.LP
.B
handleReturn(This::wxGridCellEditor(), Event::wxKeyEvent() (see module wxKeyEvent)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcelleditor\&.html#wxgridcelleditorhandlereturn>\&.
.RE
